attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec4 a_color;

uniform float u_hue;
uniform mat4 u_MVPMatrix;

#ifdef GL_ES
varying mediump vec2 v_texCoord;
varying lowp vec4 v_color;
#else
varying vec2 v_texCoord;
varying vec4 v_color;
#endif

void main()
{
	gl_Position = u_MVPMatrix * vec4(a_position.x, a_position.y, 0.0, 1.0);
	v_texCoord = a_texCoord;
	v_color = a_color;
}
