#ifdef GL_ES
precision lowp float;
varying mediump vec2 v_texCoord;
varying mediump float v_depth;
#else
varying vec2 v_texCoord;
varying float v_depth;
#endif

uniform sampler2D u_texture;

void main()
{
    gl_FragColor = v_depth * texture2D(u_texture, v_texCoord);
}
