#ifdef GL_ES
varying mediump vec2 v_texCoord;
varying mediump float v_depth;
mediump vec4 texel;
#else
varying vec2 v_texCoord;
varying float v_depth;
vec4 texel;
#endif

uniform sampler2D u_texture;

void main()
{
	texel = texture2D(u_texture, v_texCoord);
    gl_FragColor = vec4(v_depth * texel.rgb, texel.a);
	//gl_FragColor = vec4(v_texCoord.y, 0.0, mod(v_texCoord.x, 1.0), 0.5);
}
