attribute vec4 a_position;
attribute vec2 a_texCoord;

uniform    mat4 u_MVPMatrix;

uniform float u_time;
uniform float u_position;

#ifdef GL_ES
varying mediump vec2 v_texCoord;
#else
varying vec2 v_texCoord;
#endif

void main()
{
	float a = 0.2 * a_position.z;
	//gl_Position = u_MVPMatrix * vec4(a_position.x, a_position.y, 0.0, 1.0);
	gl_Position = u_MVPMatrix * vec4(a_position.x + a * cos(u_time), a_position.y + a * sin(u_time), 0.0, 1.0);
	v_texCoord = vec2(a_texCoord.x + u_position -0.1 * u_time, a_texCoord.y);
}
